'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utilities = require('@uifabric/utilities');
var ReactDOM = require('react-dom');
var React = require('react');

const getRootClassNames = () => utilities.classNamesFunction();

const PortalBody = ({
  children
}) => /*#__PURE__*/ReactDOM.createPortal(children, document.body);

const getStyledNodeStyles = ({
  className
}) => {
  return {
    root: [className, {// Insert css properties
    }]
  };
};

const getClassNames$1 = getRootClassNames();
/**
 * StyledElement with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */

const StyledElementBase = ({
  attributes,
  children,
  className,
  styles,
  as: Tag = 'div',
  nodeProps
}) => {
  const classNames = getClassNames$1(styles, {
    className
  });
  return /*#__PURE__*/React.createElement(Tag, Object.assign({}, attributes, {
    className: classNames.root
  }, nodeProps), children);
};
const StyledElement = utilities.styled(StyledElementBase, getStyledNodeStyles, undefined, {
  scope: 'StyledElement'
});

const getClassNames = getRootClassNames();
/**
 * StyledLeaf with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */

const StyledLeafBase = ({
  children,
  className,
  styles,
  as: Tag = 'span',
  nodeProps
}) => {
  const classNames = getClassNames(styles, {
    className
  });
  return /*#__PURE__*/React.createElement(Tag, Object.assign({
    className: classNames.root
  }, nodeProps), children);
};
const StyledLeaf = utilities.styled(StyledLeafBase, getStyledNodeStyles, undefined, {
  scope: 'StyledLeaf'
});

exports.PortalBody = PortalBody;
exports.StyledElement = StyledElement;
exports.StyledElementBase = StyledElementBase;
exports.StyledLeaf = StyledLeaf;
exports.StyledLeafBase = StyledLeafBase;
exports.getRootClassNames = getRootClassNames;
exports.getStyledNodeStyles = getStyledNodeStyles;
//# sourceMappingURL=index.js.map
